## python-envisage 7.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/envisage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/envisage.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
# Requirements for building documentation
Sphinx==6.1.3
enthought-sphinx-theme==0.7.2
sphinx-copybutton==0.5.1

## python-envisage 4.0.0

=== debian/changelog ===
python-envisage (4.0.0-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:50 +0000

python-envisage (4.0.0-1) unstable; urgency=low

  * New upstream release
  * Rename package to python-envisage - replaces python-envisagecore
    and python-envisageplugins packages
  * Update d/control, d/copyright and d/watch

 -- Varun Hiremath <varun@debian.org>  Sat, 09 Jul 2011 00:05:01 -0400

python-envisagecore (3.2.0-2) unstable; urgency=low

  * Team upload.
  * Rebuild to pick up 2.7 and drop 2.5 from supported versions
  * d/control: Bump Standards-Version to 3.9.2

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 14:47:58 +0200

python-envisagecore (3.2.0-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #617004)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 Apr 2011 23:54:28 -0400

python-envisagecore (3.1.3-1) experimental; urgency=low

  * New upstream release
  * d/control: Bump Standards-Version to 3.9.1

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 21:33:28 -0400

python-envisagecore (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Bump Standards-Version to 3.8.4

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:35:30 -0500

python-envisagecore (3.1.1-2) unstable; urgency=low

  * debian/control:
    - Add python-pkg-resources to Depends (Closes: #560724)
    - Bump Standards-Version to 3.8.3

 -- Varun Hiremath <varun@debian.org>  Tue, 15 Dec 2009 10:47:32 -0500

python-envisagecore (3.1.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2

 -- Varun Hiremath <varun@debian.org>  Mon, 20 Jul 2009 03:15:07 -0400

python-envisagecore (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Thu, 26 Mar 2009 20:03:16 -0400

python-envisagecore (3.0.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:38:20 -0500

python-envisagecore (3.0.0-1) experimental; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Sun, 26 Oct 2008 01:36:05 -0400

=== debian/control ===
Source: python-envisage
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~), python-setupdocs
Standards-Version: 3.9.2
Homepage: http://pypi.python.org/pypi/envisage
X-Python-Version: >=2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-envisagecore/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-envisagecore/trunk/

Package: python-envisage
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-traits, python-pkg-resources
Breaks: python-evisagecore, python-envisageplugins
Replaces: python-evisagecore, python-envisageplugins
Description: Extensible Application Framework
 Envisage is a Python-based framework for building extensible
 applications, that is, applications whose functionality can be
 extended by adding "plug-ins". Envisage provides a standard mechanism
 for features to be added to an application, whether by the original
 developer or by someone else. In fact, when you build an application
 using Envisage, the entire application consists primarily of
 plug-ins. In this respect, it is similar to the Eclipse and Netbeans
 frameworks for Java applications.

## python-envisage 4.1.0

=== debian/changelog ===
python-envisage (4.1.0-2) unstable; urgency=low

  * Fix typo in Breaks and Replaces (Closes: #668459)
  * Add Suggests: python-apptools, python-chaco (Closes: #668460)
  * Fix Vcs-{Svn, Browser} URLs

 -- Varun Hiremath <varun@debian.org>  Tue, 24 Apr 2012 19:08:44 -0400

python-envisage (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:56:40 -0400

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~), python-setupdocs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pypi.python.org/pypi/envisage
 X-Python-Version: >=2.5
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-envisagecore/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-envisagecore/trunk/
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-envisage/trunk
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-envisage/trunk/
 
 Package: python-envisage
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-traits, python-pkg-resources
-Breaks: python-evisagecore, python-envisageplugins
-Replaces: python-evisagecore, python-envisageplugins
+Suggests: python-apptools, python-chaco
+Breaks: python-envisagecore, python-envisageplugins
+Replaces: python-envisagecore, python-envisageplugins
 Description: Extensible Application Framework
  Envisage is a Python-based framework for building extensible
  applications, that is, applications whose functionality can be

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
EXAMPLES                         =$(DEB_DESTDIR)/usr/share/doc/python-envisage

install/python-envisage::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete

binary-predeb/python-envisage::
	find $(EXAMPLES) -name '.gitignore' -delete

get-orig-source:
	-uscan --force-download --rename

## python-envisage 4.4.0

=== debian/changelog ===
python-envisage (4.4.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 23:41:54 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~), python-setupdocs
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/envisage
 X-Python-Version: >=2.5
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-envisage/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-envisage/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-envisage/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-envisage/trunk/
 
 Package: python-envisage
 Architecture: all

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/envisage .*envisage-(.*).tar.gz \
debian debian/orig-tar.sh

## python-envisage 4.9.0

=== debian/changelog ===
python-envisage (4.9.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [a090e2a] Add egg-files for python3.9. (Closes: #973174)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Nov 2020 22:36:59 +0100

python-envisage (4.9.0-2) unstable; urgency=medium

  * Team upload.
  * Add envisage.egg-info/SOURCES.txt to debian/clean, to fix build twice
    in a row (closes: #671324).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Dec 2019 11:11:48 +0300

python-envisage (4.9.0-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout

  [ Scott Talbert ]
  * Remove outdated orig-tar.sh
  * Update to latest upstream release 4.9.0
  * Switch from Python 2 to Python 3 (Closes: #937730)
  * Update and convert d/copyright to DEP5 format
  * Use secure URL in d/watch

 -- Scott Talbert <swt@techie.net>  Thu, 26 Dec 2019 10:56:49 -0500

=== debian/control ===
Source: python-envisage
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-apptools,
 python3-setuptools,
 python3-six,
 python3-traitsui,
 xauth,
 xvfb,
Standards-Version: 4.4.1
Homepage: https://pypi.org/pypi/envisage/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-envisage.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-envisage

Package: python3-envisage
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-apptools, python3-setuptools, python3-six, python3-traits
Description: Extensible Application Framework
 Envisage is a Python-based framework for building extensible
 applications, that is, applications whose functionality can be
 extended by adding "plug-ins". Envisage provides a standard mechanism
 for features to be added to an application, whether by the original
 developer or by someone else. In fact, when you build an application
 using Envisage, the entire application consists primarily of
 plug-ins. In this respect, it is similar to the Eclipse and Netbeans
 frameworks for Java applications.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=envisage

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## python-envisage 6.0.1

=== debian/changelog ===
python-envisage (6.0.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Versioned Build-Depends: python3-traitsui (>= 7)
  * Do not point Homepage to pypi
  * Point watch file to Github
  * Fix build time test by preparing test eggs for Python 3.10
    Closes: #1002325

 -- Andreas Tille <tille@debian.org>  Mon, 14 Feb 2022 16:37:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: python-envisage
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-apptools,
  python3-setuptools,
- python3-six,
- python3-traitsui,
- xauth,
- xvfb,
-Standards-Version: 4.4.1
-Homepage: https://pypi.org/pypi/envisage/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-envisage.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-envisage
+ python3-six <!nocheck>,
+ python3-traitsui (>= 7) <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-envisage.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-envisage
+Homepage: https://docs.enthought.com/envisage/
 
 Package: python3-envisage
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,16 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	# Inspired by https://src.fedoraproject.org/rpms/python-envisage/c/a20fa2cf6fe0eaf7604394a8b93bf8d3b48bc599?branch=rawhide
+	# Prepare test eggs for Python 3.10+, the latest pre-generated eggs are for Python 3.9
+	# See https://github.com/enthought/envisage/issues/396
+	set -e ; \
+	py3ver=3.10 ; \
+	for dir in envisage/tests/*eggs/acme.*/ ; do cp -a $$dir .pybuild/cpython3_$${py3ver}_envisage/build/$$dir ; done ; \
+	for dir in .pybuild/cpython3_$${py3ver}_envisage/build/envisage/tests/*eggs/acme.*/; do \
+	    ( cd $$dir ; \
+	      python$${py3ver} setup.py bdist_egg ; \
+	      mv -f dist/*.egg .. ; \
+	    ) ; \
+	done
+	xvfb-run -a dh_auto_test ##  pybuild --test -i python$${py3ver} -p "$${py3ver}"

=== debian/watch ===
version=4
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/enthought/envisage/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# https://pypi.debian.net/envisage/envisage-(.+)\.tar\.gz

## python-envisage 6.1.0

=== debian/changelog ===
python-envisage (6.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #1027612
  * Standards-Version: 4.6.2 (routine-update)
  * Drop unused include-binaries

  [ Scott Talbert ]
  * Fix test egg generation
  * Remove egg generation from d/rules as this is done by upstream now

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 07:16:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-traitsui (>= 7) <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-envisage.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-envisage

## python-envisage 7.0.3

=== debian/changelog ===
python-envisage (7.0.3-2) unstable; urgency=medium

  * Team upload.
  * add build dependency on python3-configobj (Closes: #1082370)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Sep 2024 13:58:02 +0200

python-envisage (7.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.3
  * add build dependency on pybuild-plugin-pyproject
  * remove extraneous dependency on python3-six
  * remove old patch, not needed anymore

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Feb 2024 08:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-apptools,
+ python3-configobj <!nocheck>,
  python3-setuptools,
- python3-six <!nocheck>,
  python3-traitsui (>= 7) <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
@@ -23,7 +24,7 @@
 Package: python3-envisage
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- python3-apptools, python3-setuptools, python3-six, python3-traits
+ python3-apptools, python3-setuptools, python3-traits
 Description: Extensible Application Framework
  Envisage is a Python-based framework for building extensible
  applications, that is, applications whose functionality can be

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=envisage

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run -a dh_auto_test ##  pybuild --test -i python$${py3ver} -p "$${py3ver}"
